Index: dvb-apps/util/dst-utils/dst_test.c
===================================================================
--- dvb-apps.orig/util/dst-utils/dst_test.c
+++ dvb-apps/util/dst-utils/dst_test.c
@@ -35,7 +35,18 @@
 #include <libdvben50221/en50221_app_tags.h>
 
 #define CA_NODE "/dev/dvb/adapter0/ca0"
-
+/*
+ Quick hack around the removal of ca_pid_t and CA_GET_PID in recent kernels
+  https://github.com/torvalds/linux/commit/833ff5e7feda1a042b83e82208cef3d212ca0ef1
+*/
+#ifndef CA_SET_PID
+typedef struct ca_pid {
+	unsigned int pid;
+	int index;      /* -1 == disable*/
+} ca_pid_t;
+/* We should not be able to get it so a number that is unlikely to happen */
+#define CA_SET_PID 42424242
+#endif
 static int dst_comms(int cafd, uint32_t tag, uint32_t function, struct ca_msg *msg)
 {
 	if (tag) {
